comparison configure @ 3095:6693845ec32a

[xemacs-hg @ 2005-11-26 12:09:23 by stephent] Xft merge (generated files configure and src/depend. <87k6ev4p8q.fsf@tleepslib.sk.tsukuba.ac.jp>)
author stephent
date Sat, 26 Nov 2005 12:09:39 +0000
parents 141c2920ea48
children 859a2346db99
comparison
equal deleted inserted replaced
3094:ad2f4ae9895b 3095:6693845ec32a
989 --with-infopath=PATH Location of info directories 989 --with-infopath=PATH Location of info directories
990 990
991 Window-system options 991 Window-system options
992 --------------------- 992 ---------------------
993 993
994 --with-xft Compile with support for Xft client-side font
995 rendering and anti-aliasing. Components that can use
996 Xft are `emacs' (buffers), `menubars', `tabs', and
997 `gauges'. Prefix component with `no' to disable its
998 use of Xft. Requires X11, Xft, Xrender, freetype,
999 and fontconfig support. Default is
1000 `emacs,menubars,tabs,gauges'.
994 --with-gtk Support GTK on the X Window System. (EXPERIMENTAL) 1001 --with-gtk Support GTK on the X Window System. (EXPERIMENTAL)
995 --with-gnome Support GNOME on the X Window System. (EXPERIMENTAL) 1002 --with-gnome Support GNOME on the X Window System. (EXPERIMENTAL)
996 --with-msw Support MS Windows as a window system (only under 1003 --with-msw Support MS Windows as a window system (only under
997 Cygwin and MinGW). `--with-msw=no' may be needed on 1004 Cygwin and MinGW). `--with-msw=no' may be needed on
998 *nix systems with Wine installed. 1005 *nix systems with Wine installed.
1090 --with-wnn Support the Wnn Asian language input method. 1097 --with-wnn Support the Wnn Asian language input method.
1091 Requires Mule. 1098 Requires Mule.
1092 --with-wnn6 Support the Wnn6 Asian language input method 1099 --with-wnn6 Support the Wnn6 Asian language input method
1093 (proprietary). Requires Mule. 1100 (proprietary). Requires Mule.
1094 --with-xfs Enable XFontSet support for internationalized 1101 --with-xfs Enable XFontSet support for internationalized
1095 menubar. Incompatible with `--with-xim=motif'. 1102 menubar. Incompatible with `--with-xim=motif' and
1096 `--with-menubars=lucid' (the default) is 1103 `--with-xft'. `--with-menubars=lucid' (the
1097 desirable. 1104 default) is desirable.
1098 1105
1099 File-related options 1106 File-related options
1100 -------------------- 1107 --------------------
1101 1108
1102 --with-default-eol-detection 1109 --with-default-eol-detection
2254 #define INFOPATH_USER_DEFINED 1 2261 #define INFOPATH_USER_DEFINED 1
2255 _ACEOF 2262 _ACEOF
2256 2263
2257 fi; 2264 fi;
2258 2265
2266 _xft_notfirst=""
2267 with_xft_emacs=yes
2268 enable_xft_emacs=yes
2269 with_xft_menubars=yes
2270 enable_xft_menubars=yes
2271 with_xft_tabs=yes
2272 enable_xft_tabs=yes
2273 with_xft_gauges=yes
2274 enable_xft_gauges=yes
2275
2276 _xft_types="emacs menubars tabs gauges"
2277 _xft_default="emacs,menubars,tabs,gauges"
2278
2279
2280
2281 # If --with-xft or --without-xft were given then copy the value to the
2282 # equivalent enable_xft variable.
2283 if test "${with_xft+set}" = set; then
2284 enable_xft="$with_xft"
2285 fi;
2286 # If -enable-xft or --disable-xft were given then copy the value to the
2287 # equivalent with_xft variable.
2288 if test "${enable_xft+set}" = set; then
2289 with_xft="$enable_xft"
2290 fi;
2291 # Check whether --with-xft or --without-xft was given.
2292 if test "${with_xft+set}" = set; then
2293 enableval="$with_xft"
2294 withval="$with_xft"
2295 for y in $_xft_types; do
2296 eval "with_xft_$y=no"
2297 eval "enable_xft_$y=no"
2298 done
2299 for x in `echo "$with_xft" | sed -e 's/,/ /g'` ; do
2300 _xft_all_default=""
2301 _xft_found=""
2302 case "$x" in
2303 n | no | non | none ) _xft_all_default=no ;;
2304 a | al | all | both ) _xft_all_default=yes ;;
2305 esac
2306
2307 if test -z "$_xft_all_default"; then
2308 for y in $_xft_types; do
2309 if test "$x" = "$y"; then
2310 _xft_found=yes
2311 eval "with_xft_$y=yes"
2312 eval "enable_xft_$y=yes"
2313 elif test "$x" = "no$y"; then
2314 _xft_found=yes
2315 eval "with_xft_$y=no"
2316 eval "enable_xft_$y=no"
2317 fi
2318 done
2319 test -z "$_xft_found" && _xft_bogus=yes
2320 fi
2321 if test "$_xft_bogus" = "yes" -o \
2322 \( -n "$_xft_all_default" -a -n "$_xft_notfirst" \) ; then
2323 (echo "$progname: Usage error:"
2324 echo " " "Valid values for the --with-xft option are:
2325 $_xft_types. With prefix \"no\", switch it off.
2326 Defaults may be overridden with \`all' or \`none' first in the list.
2327 Hardcoded default is: $_xft_default."
2328 echo " Use \`$progname --help' to show usage.") >&2 && exit 1
2329 elif test -n "$_xft_all_default" ; then
2330 for y in $_xft_types; do
2331 eval "with_xft_$y=$_xft_all_default"
2332 eval "enable_xft_$y=$_xft_all_default"
2333 done
2334 fi
2335 _xft_notfirst=yes
2336 done
2337 unset _xft_bogus _xft_found _xft_notfirst _xft_types
2338 unset _xft_default _xft_all_default x y
2339
2340
2341
2342 fi;
2343 , )
2259 # If --with-gtk or --without-gtk were given then copy the value to the 2344 # If --with-gtk or --without-gtk were given then copy the value to the
2260 # equivalent enable_gtk variable. 2345 # equivalent enable_gtk variable.
2261 if test "${with_gtk+set}" = set; then 2346 if test "${with_gtk+set}" = set; then
2262 enable_gtk="$with_gtk" 2347 enable_gtk="$with_gtk"
2263 fi; 2348 fi;
3783 echo " Use \`$progname --help' to show usage.") >&2 && exit 1 3868 echo " Use \`$progname --help' to show usage.") >&2 && exit 1
3784 elif test "$with_tooltalk" = "no" ; then with_cde=no 3869 elif test "$with_tooltalk" = "no" ; then with_cde=no
3785 elif test "$with_cde" = "yes"; then with_tooltalk=yes 3870 elif test "$with_cde" = "yes"; then with_tooltalk=yes
3786 fi 3871 fi
3787 3872
3873
3874 if test \( "$with_xft_menubars" = "yes" -o "$with_xft_tabs" = "yes" \
3875 -o "$with_xft_gauges" = "yes" \) -a "$with_xft_emacs" = "no"; then
3876 { echo "$as_me:$LINENO: WARNING: Forcing --with-xft=emacs because Xft is enabled" >&5
3877 echo "$as_me: WARNING: Forcing --with-xft=emacs because Xft is enabled" >&2;}
3878 with_xft_emacs=yes
3879 fi
3880
3881 if test "$with_xfs" = "yes" -a "$with_xft_menubars" = "yes"; then
3882 (echo "$progname: Usage error:"
3883 echo " " "XFS and Xft in the menubars are incompatible!"
3884 echo " Use \`$progname --help' to show usage.") >&2 && exit 1
3885 fi
3788 3886
3789 test "x$prefix" = xNONE && prefix=$ac_default_prefix 3887 test "x$prefix" = xNONE && prefix=$ac_default_prefix
3790 # Let make expand exec_prefix. 3888 # Let make expand exec_prefix.
3791 if test "x$exec_prefix" = xNONE 3889 if test "x$exec_prefix" = xNONE
3792 then 3890 then
18993 "cc" ) CC="cc_r" ;; 19091 "cc" ) CC="cc_r" ;;
18994 esac 19092 esac
18995 fi 19093 fi
18996 fi 19094 fi
18997 19095
19096
19097 if test "$with_xft_emacs" = "yes"; then
19098 { echo "$as_me:$LINENO: checking for Xrender, fontconfig, and Xft..." >&5
19099 echo "$as_me: checking for Xrender, fontconfig, and Xft..." >&6;}
19100 xft_includes_found=no
19101
19102 for ac_header in freetype/config/ftheader.h
19103 do
19104 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
19105 if eval "test \"\${$as_ac_Header+set}\" = set"; then
19106 echo "$as_me:$LINENO: checking for $ac_header" >&5
19107 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
19108 if eval "test \"\${$as_ac_Header+set}\" = set"; then
19109 echo $ECHO_N "(cached) $ECHO_C" >&6
19110 fi
19111 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
19112 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
19113 else
19114 # Is the header compilable?
19115 echo "$as_me:$LINENO: checking $ac_header usability" >&5
19116 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
19117 cat >conftest.$ac_ext <<_ACEOF
19118 /* confdefs.h. */
19119 _ACEOF
19120 cat confdefs.h >>conftest.$ac_ext
19121 cat >>conftest.$ac_ext <<_ACEOF
19122 /* end confdefs.h. */
19123 $ac_includes_default
19124 #include <$ac_header>
19125 _ACEOF
19126 rm -f conftest.$ac_objext
19127 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
19128 (eval $ac_compile) 2>conftest.er1
19129 ac_status=$?
19130 grep -v '^ *+' conftest.er1 >conftest.err
19131 rm -f conftest.er1
19132 cat conftest.err >&5
19133 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19134 (exit $ac_status); } &&
19135 { ac_try='test -z "$ac_c_werror_flag"
19136 || test ! -s conftest.err'
19137 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19138 (eval $ac_try) 2>&5
19139 ac_status=$?
19140 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19141 (exit $ac_status); }; } &&
19142 { ac_try='test -s conftest.$ac_objext'
19143 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19144 (eval $ac_try) 2>&5
19145 ac_status=$?
19146 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19147 (exit $ac_status); }; }; then
19148 ac_header_compiler=yes
19149 else
19150 echo "$as_me: failed program was:" >&5
19151 sed 's/^/| /' conftest.$ac_ext >&5
19152
19153 ac_header_compiler=no
19154 fi
19155 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
19156 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
19157 echo "${ECHO_T}$ac_header_compiler" >&6
19158
19159 # Is the header present?
19160 echo "$as_me:$LINENO: checking $ac_header presence" >&5
19161 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
19162 cat >conftest.$ac_ext <<_ACEOF
19163 /* confdefs.h. */
19164 _ACEOF
19165 cat confdefs.h >>conftest.$ac_ext
19166 cat >>conftest.$ac_ext <<_ACEOF
19167 /* end confdefs.h. */
19168 #include <$ac_header>
19169 _ACEOF
19170 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
19171 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
19172 ac_status=$?
19173 grep -v '^ *+' conftest.er1 >conftest.err
19174 rm -f conftest.er1
19175 cat conftest.err >&5
19176 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19177 (exit $ac_status); } >/dev/null; then
19178 if test -s conftest.err; then
19179 ac_cpp_err=$ac_c_preproc_warn_flag
19180 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
19181 else
19182 ac_cpp_err=
19183 fi
19184 else
19185 ac_cpp_err=yes
19186 fi
19187 if test -z "$ac_cpp_err"; then
19188 ac_header_preproc=yes
19189 else
19190 echo "$as_me: failed program was:" >&5
19191 sed 's/^/| /' conftest.$ac_ext >&5
19192
19193 ac_header_preproc=no
19194 fi
19195 rm -f conftest.err conftest.$ac_ext
19196 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
19197 echo "${ECHO_T}$ac_header_preproc" >&6
19198
19199 # So? What about this header?
19200 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
19201 yes:no: )
19202 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
19203 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
19204 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
19205 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
19206 ac_header_preproc=yes
19207 ;;
19208 no:yes:* )
19209 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
19210 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
19211 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
19212 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
19213 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
19214 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
19215 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
19216 echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
19217 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
19218 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
19219 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
19220 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
19221 (
19222 cat <<\_ASBOX
19223 ## ------------------------------------- ##
19224 ## Report this to xemacs-beta@xemacs.org ##
19225 ## ------------------------------------- ##
19226 _ASBOX
19227 ) |
19228 sed "s/^/$as_me: WARNING: /" >&2
19229 ;;
19230 esac
19231 echo "$as_me:$LINENO: checking for $ac_header" >&5
19232 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
19233 if eval "test \"\${$as_ac_Header+set}\" = set"; then
19234 echo $ECHO_N "(cached) $ECHO_C" >&6
19235 else
19236 eval "$as_ac_Header=\$ac_header_preproc"
19237 fi
19238 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
19239 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
19240
19241 fi
19242 if test `eval echo '${'$as_ac_Header'}'` = yes; then
19243 cat >>confdefs.h <<_ACEOF
19244 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
19245 _ACEOF
19246 xft_includes_found=yes
19247 else
19248
19249 for freetype_include_top in "/usr/X11R6/include/freetype2" \
19250 "/usr/include/freetype2"
19251 do
19252 if test -d $freetype_include_top; then
19253 { echo "$as_me:$LINENO: checking in ${freetype_include_top}/freetype2..." >&5
19254 echo "$as_me: checking in ${freetype_include_top}/freetype2..." >&6;}
19255 unset "$as_ac_Header"
19256 save_c_switch_site="$c_switch_site"
19257 c_switch_site="$c_switch_site -I${freetype_include_top}"
19258
19259 for ac_header in freetype/config/ftheader.h
19260 do
19261 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
19262 if eval "test \"\${$as_ac_Header+set}\" = set"; then
19263 echo "$as_me:$LINENO: checking for $ac_header" >&5
19264 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
19265 if eval "test \"\${$as_ac_Header+set}\" = set"; then
19266 echo $ECHO_N "(cached) $ECHO_C" >&6
19267 fi
19268 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
19269 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
19270 else
19271 # Is the header compilable?
19272 echo "$as_me:$LINENO: checking $ac_header usability" >&5
19273 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
19274 cat >conftest.$ac_ext <<_ACEOF
19275 /* confdefs.h. */
19276 _ACEOF
19277 cat confdefs.h >>conftest.$ac_ext
19278 cat >>conftest.$ac_ext <<_ACEOF
19279 /* end confdefs.h. */
19280 $ac_includes_default
19281 #include <$ac_header>
19282 _ACEOF
19283 rm -f conftest.$ac_objext
19284 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
19285 (eval $ac_compile) 2>conftest.er1
19286 ac_status=$?
19287 grep -v '^ *+' conftest.er1 >conftest.err
19288 rm -f conftest.er1
19289 cat conftest.err >&5
19290 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19291 (exit $ac_status); } &&
19292 { ac_try='test -z "$ac_c_werror_flag"
19293 || test ! -s conftest.err'
19294 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19295 (eval $ac_try) 2>&5
19296 ac_status=$?
19297 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19298 (exit $ac_status); }; } &&
19299 { ac_try='test -s conftest.$ac_objext'
19300 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19301 (eval $ac_try) 2>&5
19302 ac_status=$?
19303 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19304 (exit $ac_status); }; }; then
19305 ac_header_compiler=yes
19306 else
19307 echo "$as_me: failed program was:" >&5
19308 sed 's/^/| /' conftest.$ac_ext >&5
19309
19310 ac_header_compiler=no
19311 fi
19312 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
19313 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
19314 echo "${ECHO_T}$ac_header_compiler" >&6
19315
19316 # Is the header present?
19317 echo "$as_me:$LINENO: checking $ac_header presence" >&5
19318 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
19319 cat >conftest.$ac_ext <<_ACEOF
19320 /* confdefs.h. */
19321 _ACEOF
19322 cat confdefs.h >>conftest.$ac_ext
19323 cat >>conftest.$ac_ext <<_ACEOF
19324 /* end confdefs.h. */
19325 #include <$ac_header>
19326 _ACEOF
19327 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
19328 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
19329 ac_status=$?
19330 grep -v '^ *+' conftest.er1 >conftest.err
19331 rm -f conftest.er1
19332 cat conftest.err >&5
19333 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19334 (exit $ac_status); } >/dev/null; then
19335 if test -s conftest.err; then
19336 ac_cpp_err=$ac_c_preproc_warn_flag
19337 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
19338 else
19339 ac_cpp_err=
19340 fi
19341 else
19342 ac_cpp_err=yes
19343 fi
19344 if test -z "$ac_cpp_err"; then
19345 ac_header_preproc=yes
19346 else
19347 echo "$as_me: failed program was:" >&5
19348 sed 's/^/| /' conftest.$ac_ext >&5
19349
19350 ac_header_preproc=no
19351 fi
19352 rm -f conftest.err conftest.$ac_ext
19353 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
19354 echo "${ECHO_T}$ac_header_preproc" >&6
19355
19356 # So? What about this header?
19357 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
19358 yes:no: )
19359 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
19360 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
19361 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
19362 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
19363 ac_header_preproc=yes
19364 ;;
19365 no:yes:* )
19366 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
19367 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
19368 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
19369 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
19370 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
19371 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
19372 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
19373 echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
19374 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
19375 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
19376 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
19377 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
19378 (
19379 cat <<\_ASBOX
19380 ## ------------------------------------- ##
19381 ## Report this to xemacs-beta@xemacs.org ##
19382 ## ------------------------------------- ##
19383 _ASBOX
19384 ) |
19385 sed "s/^/$as_me: WARNING: /" >&2
19386 ;;
19387 esac
19388 echo "$as_me:$LINENO: checking for $ac_header" >&5
19389 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
19390 if eval "test \"\${$as_ac_Header+set}\" = set"; then
19391 echo $ECHO_N "(cached) $ECHO_C" >&6
19392 else
19393 eval "$as_ac_Header=\$ac_header_preproc"
19394 fi
19395 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
19396 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
19397
19398 fi
19399 if test `eval echo '${'$as_ac_Header'}'` = yes; then
19400 cat >>confdefs.h <<_ACEOF
19401 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
19402 _ACEOF
19403 xft_includes_found=yes
19404 else
19405 c_switch_site=$save_c_switch_site
19406 fi
19407
19408 done
19409
19410 fi
19411 done
19412 if test "$xft_includes_found" != "yes"; then
19413 { echo "Error:" "Unable to find headers for --with-xft" >&2; exit 1; }
19414 else
19415 echo "$as_me:$LINENO: checking for XRenderQueryExtension in -lXrender" >&5
19416 echo $ECHO_N "checking for XRenderQueryExtension in -lXrender... $ECHO_C" >&6
19417 if test "${ac_cv_lib_Xrender_XRenderQueryExtension+set}" = set; then
19418 echo $ECHO_N "(cached) $ECHO_C" >&6
19419 else
19420 ac_check_lib_save_LIBS=$LIBS
19421 LIBS="-lXrender $LIBS"
19422 cat >conftest.$ac_ext <<_ACEOF
19423 /* confdefs.h. */
19424 _ACEOF
19425 cat confdefs.h >>conftest.$ac_ext
19426 cat >>conftest.$ac_ext <<_ACEOF
19427 /* end confdefs.h. */
19428
19429 /* Override any gcc2 internal prototype to avoid an error. */
19430 #ifdef __cplusplus
19431 extern "C"
19432 #endif
19433 /* We use char because int might match the return type of a gcc2
19434 builtin and then its argument prototype would still apply. */
19435 char XRenderQueryExtension ();
19436 int
19437 main ()
19438 {
19439 XRenderQueryExtension ();
19440 ;
19441 return 0;
19442 }
19443 _ACEOF
19444 rm -f conftest.$ac_objext conftest$ac_exeext
19445 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
19446 (eval $ac_link) 2>conftest.er1
19447 ac_status=$?
19448 grep -v '^ *+' conftest.er1 >conftest.err
19449 rm -f conftest.er1
19450 cat conftest.err >&5
19451 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19452 (exit $ac_status); } &&
19453 { ac_try='test -z "$ac_c_werror_flag"
19454 || test ! -s conftest.err'
19455 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19456 (eval $ac_try) 2>&5
19457 ac_status=$?
19458 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19459 (exit $ac_status); }; } &&
19460 { ac_try='test -s conftest$ac_exeext'
19461 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19462 (eval $ac_try) 2>&5
19463 ac_status=$?
19464 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19465 (exit $ac_status); }; }; then
19466 ac_cv_lib_Xrender_XRenderQueryExtension=yes
19467 else
19468 echo "$as_me: failed program was:" >&5
19469 sed 's/^/| /' conftest.$ac_ext >&5
19470
19471 ac_cv_lib_Xrender_XRenderQueryExtension=no
19472 fi
19473 rm -f conftest.err conftest.$ac_objext \
19474 conftest$ac_exeext conftest.$ac_ext
19475 LIBS=$ac_check_lib_save_LIBS
19476 fi
19477 echo "$as_me:$LINENO: result: $ac_cv_lib_Xrender_XRenderQueryExtension" >&5
19478 echo "${ECHO_T}$ac_cv_lib_Xrender_XRenderQueryExtension" >&6
19479 if test $ac_cv_lib_Xrender_XRenderQueryExtension = yes; then
19480 libs_x="-lXrender $libs_x" && if test "$verbose" = "yes"; then echo " Prepending \"-lXrender\" to \$libs_x"; fi
19481 else
19482 { echo "Error:" "Unable to find libXrender for --with-xft" >&2; exit 1; }
19483 fi
19484
19485 echo "$as_me:$LINENO: checking for FcPatternCreate in -lfontconfig" >&5
19486 echo $ECHO_N "checking for FcPatternCreate in -lfontconfig... $ECHO_C" >&6
19487 if test "${ac_cv_lib_fontconfig_FcPatternCreate+set}" = set; then
19488 echo $ECHO_N "(cached) $ECHO_C" >&6
19489 else
19490 ac_check_lib_save_LIBS=$LIBS
19491 LIBS="-lfontconfig $LIBS"
19492 cat >conftest.$ac_ext <<_ACEOF
19493 /* confdefs.h. */
19494 _ACEOF
19495 cat confdefs.h >>conftest.$ac_ext
19496 cat >>conftest.$ac_ext <<_ACEOF
19497 /* end confdefs.h. */
19498
19499 /* Override any gcc2 internal prototype to avoid an error. */
19500 #ifdef __cplusplus
19501 extern "C"
19502 #endif
19503 /* We use char because int might match the return type of a gcc2
19504 builtin and then its argument prototype would still apply. */
19505 char FcPatternCreate ();
19506 int
19507 main ()
19508 {
19509 FcPatternCreate ();
19510 ;
19511 return 0;
19512 }
19513 _ACEOF
19514 rm -f conftest.$ac_objext conftest$ac_exeext
19515 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
19516 (eval $ac_link) 2>conftest.er1
19517 ac_status=$?
19518 grep -v '^ *+' conftest.er1 >conftest.err
19519 rm -f conftest.er1
19520 cat conftest.err >&5
19521 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19522 (exit $ac_status); } &&
19523 { ac_try='test -z "$ac_c_werror_flag"
19524 || test ! -s conftest.err'
19525 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19526 (eval $ac_try) 2>&5
19527 ac_status=$?
19528 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19529 (exit $ac_status); }; } &&
19530 { ac_try='test -s conftest$ac_exeext'
19531 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19532 (eval $ac_try) 2>&5
19533 ac_status=$?
19534 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19535 (exit $ac_status); }; }; then
19536 ac_cv_lib_fontconfig_FcPatternCreate=yes
19537 else
19538 echo "$as_me: failed program was:" >&5
19539 sed 's/^/| /' conftest.$ac_ext >&5
19540
19541 ac_cv_lib_fontconfig_FcPatternCreate=no
19542 fi
19543 rm -f conftest.err conftest.$ac_objext \
19544 conftest$ac_exeext conftest.$ac_ext
19545 LIBS=$ac_check_lib_save_LIBS
19546 fi
19547 echo "$as_me:$LINENO: result: $ac_cv_lib_fontconfig_FcPatternCreate" >&5
19548 echo "${ECHO_T}$ac_cv_lib_fontconfig_FcPatternCreate" >&6
19549 if test $ac_cv_lib_fontconfig_FcPatternCreate = yes; then
19550 libs_x="-lfontconfig $libs_x" && if test "$verbose" = "yes"; then echo " Prepending \"-lfontconfig\" to \$libs_x"; fi
19551 else
19552 { echo "Error:" "Unable to find libfontconfig for --with-xft" >&2; exit 1; }
19553 fi
19554
19555 echo "$as_me:$LINENO: checking for XftFontOpen in -lXft" >&5
19556 echo $ECHO_N "checking for XftFontOpen in -lXft... $ECHO_C" >&6
19557 if test "${ac_cv_lib_Xft_XftFontOpen+set}" = set; then
19558 echo $ECHO_N "(cached) $ECHO_C" >&6
19559 else
19560 ac_check_lib_save_LIBS=$LIBS
19561 LIBS="-lXft $LIBS"
19562 cat >conftest.$ac_ext <<_ACEOF
19563 /* confdefs.h. */
19564 _ACEOF
19565 cat confdefs.h >>conftest.$ac_ext
19566 cat >>conftest.$ac_ext <<_ACEOF
19567 /* end confdefs.h. */
19568
19569 /* Override any gcc2 internal prototype to avoid an error. */
19570 #ifdef __cplusplus
19571 extern "C"
19572 #endif
19573 /* We use char because int might match the return type of a gcc2
19574 builtin and then its argument prototype would still apply. */
19575 char XftFontOpen ();
19576 int
19577 main ()
19578 {
19579 XftFontOpen ();
19580 ;
19581 return 0;
19582 }
19583 _ACEOF
19584 rm -f conftest.$ac_objext conftest$ac_exeext
19585 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
19586 (eval $ac_link) 2>conftest.er1
19587 ac_status=$?
19588 grep -v '^ *+' conftest.er1 >conftest.err
19589 rm -f conftest.er1
19590 cat conftest.err >&5
19591 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19592 (exit $ac_status); } &&
19593 { ac_try='test -z "$ac_c_werror_flag"
19594 || test ! -s conftest.err'
19595 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19596 (eval $ac_try) 2>&5
19597 ac_status=$?
19598 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19599 (exit $ac_status); }; } &&
19600 { ac_try='test -s conftest$ac_exeext'
19601 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19602 (eval $ac_try) 2>&5
19603 ac_status=$?
19604 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19605 (exit $ac_status); }; }; then
19606 ac_cv_lib_Xft_XftFontOpen=yes
19607 else
19608 echo "$as_me: failed program was:" >&5
19609 sed 's/^/| /' conftest.$ac_ext >&5
19610
19611 ac_cv_lib_Xft_XftFontOpen=no
19612 fi
19613 rm -f conftest.err conftest.$ac_objext \
19614 conftest$ac_exeext conftest.$ac_ext
19615 LIBS=$ac_check_lib_save_LIBS
19616 fi
19617 echo "$as_me:$LINENO: result: $ac_cv_lib_Xft_XftFontOpen" >&5
19618 echo "${ECHO_T}$ac_cv_lib_Xft_XftFontOpen" >&6
19619 if test $ac_cv_lib_Xft_XftFontOpen = yes; then
19620 libs_x="-lXft $libs_x" && if test "$verbose" = "yes"; then echo " Prepending \"-lXft\" to \$libs_x"; fi
19621 else
19622 { echo "Error:" "Unable to find libXft for --with-xft" >&2; exit 1; }
19623 fi
19624
19625 cat >>confdefs.h <<\_ACEOF
19626 #define USE_XFT 1
19627 _ACEOF
19628
19629 unset xft_includes_found
19630 fi
19631
19632 fi
19633
19634 done
19635
19636 fi
19637
18998 fi 19638 fi
18999 if test "$with_msw" != "no"; then 19639 if test "$with_msw" != "no"; then
19000 { echo "$as_me:$LINENO: checking for MS-Windows..." >&5 19640 { echo "$as_me:$LINENO: checking for MS-Windows..." >&5
19001 echo "$as_me: checking for MS-Windows..." >&6;} 19641 echo "$as_me: checking for MS-Windows..." >&6;}
19002 echo "$as_me:$LINENO: checking for main in -lgdi32" >&5 19642 echo "$as_me:$LINENO: checking for main in -lgdi32" >&5
26200 esac 26840 esac
26201 26841
26202 case "$enable_menubars" in "" | "yes" | "athena" ) 26842 case "$enable_menubars" in "" | "yes" | "athena" )
26203 enable_menubars="lucid" ;; 26843 enable_menubars="lucid" ;;
26204 esac 26844 esac
26845 if test "$with_xft_menubars" != "no" ; then
26846 if test "$with_xft_emacs" = "yes" -a "$with_menubars" != "no" ; then
26847 with_xft_menubars="yes"
26848 else
26849 with_xft_menubars="no"
26850 fi
26851 fi
26205 case "$enable_dialogs" in "" | "yes" | "lucid" ) 26852 case "$enable_dialogs" in "" | "yes" | "lucid" )
26206 if test "$lucid_prefers_motif" = "yes"; then 26853 if test "$lucid_prefers_motif" = "yes"; then
26207 if test "$have_motif" = "yes"; then enable_dialogs="motif" 26854 if test "$have_motif" = "yes"; then enable_dialogs="motif"
26208 elif test "$have_xaw" = "yes"; then enable_dialogs="athena" 26855 elif test "$have_xaw" = "yes"; then enable_dialogs="athena"
26209 elif test "$with_msw" = "yes"; then enable_dialogs="msw" 26856 elif test "$with_msw" = "yes"; then enable_dialogs="msw"
26233 elif test "$with_msw" = "yes"; then enable_widgets="msw" 26880 elif test "$with_msw" = "yes"; then enable_widgets="msw"
26234 else enable_widgets=no 26881 else enable_widgets=no
26235 fi 26882 fi
26236 fi ;; 26883 fi ;;
26237 esac 26884 esac
26885 if test "$with_xft_tabs" != "no" ; then
26886 if test "$with_xft_emacs" = "yes" -a "$enable_widgets" != "no" ; then
26887 with_xft_tabs="yes"
26888 else
26889 with_xft_tabs="no"
26890 fi
26891 fi
26892 if test "$with_xft_gauge" != "no" ; then
26893 if test "$with_xft_emacs" = "yes" -a "$enable_widgets" != "no" ; then
26894 with_xft_gauge="yes"
26895 else
26896 with_xft_gauge="no"
26897 fi
26898 fi
26238 26899
26239 all_widgets="$enable_menubars $enable_scrollbars $enable_dialogs $enable_toolbars $enable_widgets" 26900 all_widgets="$enable_menubars $enable_scrollbars $enable_dialogs $enable_toolbars $enable_widgets"
26240 26901
26241 case "$all_widgets" in 26902 case "$all_widgets" in
26242 *athena* ) 26903 *athena* )
26411 #define LWLIB_DIALOGS_MOTIF 1 27072 #define LWLIB_DIALOGS_MOTIF 1
26412 _ACEOF 27073 _ACEOF
26413 27074
26414 test "$enable_widgets" = "motif" && cat >>confdefs.h <<\_ACEOF 27075 test "$enable_widgets" = "motif" && cat >>confdefs.h <<\_ACEOF
26415 #define LWLIB_WIDGETS_MOTIF 1 27076 #define LWLIB_WIDGETS_MOTIF 1
27077 _ACEOF
27078
27079
27080 test "$with_xft_menubars" = "yes" && cat >>confdefs.h <<\_ACEOF
27081 #define USE_XFT_MENUBARS 1
27082 _ACEOF
27083
27084 test "$with_xft_tabs" = "yes" && cat >>confdefs.h <<\_ACEOF
27085 #define USE_XFT_TABS 1
27086 _ACEOF
27087
27088 test "$with_xft_gauge" = "yes" && cat >>confdefs.h <<\_ACEOF
27089 #define USE_XFT_GAUGE 1
26416 _ACEOF 27090 _ACEOF
26417 27091
26418 27092
26419 27093
26420 test -z "$enable_mule" && enable_mule=no 27094 test -z "$enable_mule" && enable_mule=no
38464 echo " - Xmu library not available; substituting equivalent routines." 39138 echo " - Xmu library not available; substituting equivalent routines."
38465 fi 39139 fi
38466 if test "$with_wmcommand" != no; then 39140 if test "$with_wmcommand" != no; then
38467 echo " - Handling WM_COMMAND properly." 39141 echo " - Handling WM_COMMAND properly."
38468 fi 39142 fi
39143 if test "$with_xft" = "yes"; then
39144 echo " - Compiling in support for Xft antialiased fonts (EXPERIMENTAL)."
39145 fi
38469 fi 39146 fi
38470 if test "$need_motif" = "yes" ; then 39147 if test "$need_motif" = "yes" ; then
38471 echo " Compiling in support for Motif." 39148 echo " Compiling in support for Motif."
38472 if test "$have_lesstif" = "yes"; then 39149 if test "$have_lesstif" = "yes"; then
38473 echo " - Using LessTif implementation." 39150 echo " - Using LessTif implementation."
38489 echo " *WARNING* The Motif menubar implementation is currently buggy." 39166 echo " *WARNING* The Motif menubar implementation is currently buggy."
38490 echo " We recommend using the Lucid menubar instead." 39167 echo " We recommend using the Lucid menubar instead."
38491 echo " Re-run configure with --enable-menubars='lucid'." ;; 39168 echo " Re-run configure with --enable-menubars='lucid'." ;;
38492 msw ) echo " Using MS-Windows menubars." ;; 39169 msw ) echo " Using MS-Windows menubars." ;;
38493 esac 39170 esac
39171 if test "$with_xft_menubars" = "yes"; then
39172 echo " - Using Xft to render antialiased fonts in menubars."
39173 echo " WARNING: This feature will be replaced with a face."
39174 fi
38494 case "$enable_scrollbars" in 39175 case "$enable_scrollbars" in
38495 gtk ) echo " Using GTK scrollbars." ;; 39176 gtk ) echo " Using GTK scrollbars." ;;
38496 lucid ) echo " Using Lucid scrollbars." ;; 39177 lucid ) echo " Using Lucid scrollbars." ;;
38497 motif ) echo " Using Motif scrollbars." ;; 39178 motif ) echo " Using Motif scrollbars." ;;
38498 athena ) echo " Using Athena scrollbars." ;; 39179 athena ) echo " Using Athena scrollbars." ;;
38514 gtk ) echo " Using GTK native widgets." ;; 39195 gtk ) echo " Using GTK native widgets." ;;
38515 motif ) echo " Using Motif native widgets." ;; 39196 motif ) echo " Using Motif native widgets." ;;
38516 athena ) echo " Using Athena native widgets." ;; 39197 athena ) echo " Using Athena native widgets." ;;
38517 msw ) echo " Using MS-Windows native widgets." ;; 39198 msw ) echo " Using MS-Windows native widgets." ;;
38518 esac 39199 esac
39200 if test "$with_xft_tabs" = "yes"; then
39201 echo " - Using Xft to render antialiased fonts in tab controls."
39202 echo " WARNING: This feature will be replaced with a face."
39203 fi
39204 if test "$with_xft_gauge" = "yes"; then
39205 echo " - Using Xft to render antialiased fonts in progress bars."
39206 echo " WARNING: This feature will be replaced with a face."
39207 echo " WARNING: This feature not yet implemented; setting ignored."
39208 fi
38519 if test "$with_dragndrop" = yes; then 39209 if test "$with_dragndrop" = yes; then
38520 echo " Compiling in support for Drag'n'Drop (EXPERIMENTAL)." 39210 echo " Compiling in support for Drag'n'Drop (EXPERIMENTAL)."
38521 echo " - Drag'n'Drop prototype: $dragndrop_proto." 39211 echo " - Drag'n'Drop prototype: $dragndrop_proto."
38522 fi 39212 fi
38523 39213